Loading...
Searching...
No Matches
Opm::ML::NNLayerEmbedding< Evaluation > Class Template Reference
Inheritance diagram for Opm::ML::NNLayerEmbedding< Evaluation >:

## Public Member Functions

bool | loadLayer (std::ifstream &file) override
bool | apply (const Tensor< Evaluation > &in, Tensor< Evaluation > &out) override

## Member Function Documentation

## apply()

template<class Evaluation>

bool Opm::ML::NNLayerEmbedding< Evaluation >::apply | ( | const Tensor< Evaluation > & | in,
|  | Tensor< Evaluation > & | out )

override virtual

Implements Opm::ML::NNLayer< Evaluation >.

## loadLayer()

template<class Evaluation>

bool Opm::ML::NNLayerEmbedding< Evaluation >::loadLayer | ( | std::ifstream & | file | ) |

override virtual

Implements Opm::ML::NNLayer< Evaluation >.

The documentation for this class was generated from the following files:

- opm/ml/ml_model.hpp
- opm/ml/ml_model.cpp